Skip to content
Sursa Developers

Objects

ArchiveUploadResult

Extraction plan of the archive (nested archives are opened with the same limits as during extraction) and the job.

Fields

  • job_idintegerrequired
  • batch_idstringrequired

    Batch of indexing jobs for the documents of the archive (GET /v1/jobs?batch=).

  • statusstringrequired

    Allowed values: queued

  • archiveArchiveInforequired
  • plannedarray of stringrequired

    Paths of the files at all levels that will become documents, including files in nested archives (b.zip/c.pdf).

  • documentsintegerrequired

    Number of documents at all levels, including files in nested archives. The extraction result adds up to the same number: created + duplicates + rejected by the content check (ArchiveJob).

  • nested_archivesintegerrequired
  • skippedarray of ArchiveSkiprequired
  • ignoredintegerrequired

    System entries (OS files, directories, empty files, container signatures).

Used by